package org.jeecg.modules.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用途描述：
 *  微信小程序用户注册登录用实体对象
 * @author ducer
 * @version : WxLoginModel, v0.1
 * @company 车姆数字科技
 * @createDate 2021年03月11日 15:25
 */
@Data
@ApiModel("小程序登录参数")
public class CodeBeanModel {

    /**
     * 用户唯一标识
     */
    @ApiModelProperty("用户唯一标识")
    private String openid;
    /**
     * 会话密钥
     */
    @ApiModelProperty("会话密钥")
    private String session_key;
    /**
     * 用户在开放平台的唯一标识符，在满足 UnionID 下发条件的情况下会返回，详见 UnionID 机制说明
     */
    @ApiModelProperty("用户在开放平台的唯一标识符，在满足 UnionID 下发条件的情况下会返回，详见 UnionID 机制说明")
    private String unionid;
    /**
     * 错误码
     */
    @ApiModelProperty("错误码")
    private String errcode;
    /**
     * 错误信息
     */
    @ApiModelProperty("错误信息")
    private String errmsg;
    /**
     * 参数信息
     */
    @ApiModelProperty("参数信息")
    private String code;
    /**
     * 用户uid
     */
    @ApiModelProperty("用户uid")
    private Integer id;
    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    private String nickName;
    /**
     * 用户头像
     */
    @ApiModelProperty("用户头像")
    private String headimgurl;
    /**
     * 邀请人
     */
    @ApiModelProperty("邀请人")
    private String shareid;
    /**
     * 邀请码
     */
    @ApiModelProperty("技师邀请码")
    private String inviteCode;
    @ApiModelProperty("性别")
    private String gender;
    @ApiModelProperty("所在省份")
    private String province;
    @ApiModelProperty("所在城市")
    private String city;
    @ApiModelProperty("邀请码")
    private String userCode;

    private String iv;
    private String encryptedData;
    @ApiModelProperty("用户头像")
    private String avatarUrl;

    /**
     * token
     */
    @ApiModelProperty("token")
    private String token;

}
